start_custom_command   = 10000
local __count_custom = start_custom_command-1
local function __custom_counter()
	__count_custom = __count_custom + 1
	return __count_custom
end


Keys =
{  

    PlaneHook                       = __custom_counter(),
    PlaneHookUp                     = __custom_counter(),
    PlaneHookDown                   = __custom_counter(),
    JettisonWeapons                 = __custom_counter(),
    JettisonWeaponsUp               = __custom_counter(),
    JettisonFC3                     = __custom_counter(),    
	
	catapult_ready                  = __custom_counter(),
	catapult_shoot                  = __custom_counter(),
    catapult_abort                  = __custom_counter(),

	iCommandPlaneGear						= 68,
	iCommandPlaneHook 						= 69,					
	iCommandPlanePackWing 					= 70,	
	iCommandPlaneFonar 						= 71,
	iCommandPlaneFlaps 						= 72,
	iCommandPlaneAirBrake 					= 73,
	iCommandPlaneWheelBrakeOn 				= 74,
	iCommandPlaneWheelBrakeOff 				= 75,
	iCommandPlaneParachute 					= 76,
	
	iCommandPlaneEject 						= 83,

	iCommandPlaneTrimLeft 					= 93,					
	iCommandPlaneTrimRight 					= 94,					
	iCommandPlaneTrimUp 					= 95,					
	iCommandPlaneTrimDown 					= 96,					
	iCommandPlaneTrimCancel 				= 97,				
	iCommandPlaneTrimLeftRudder 			= 98,			
	iCommandPlaneTrimRightRudder 			= 99,
	
	iCommandPlaneShipTakeOff 				= 120,	

	iCommandPlaneFlapsOn 					= 145,
	iCommandPlaneFlapsOff 					= 146,
	iCommandPlaneAirBrakeOn 				= 147,
	iCommandPlaneAirBrakeOff 				= 148,
	iCommandPlaneAirRefuel 					= 155,
	iCommandBrightnessILS					= 156,
	
	iCommandPlaneLightsOnOff				= 175,
	
	iCommandPlaneDown 						= 186,		
	iCommandPlaneUp 						= 187,
	iCommandPlaneLeft 						= 188,
	iCommandPlaneRight 						= 189,
	
    iCommandPlaneUpStart 					= 193,
    iCommandPlaneUpStop 					= 194,
    iCommandPlaneDownStart 					= 195,
    iCommandPlaneDownStop 					= 196,
    iCommandPlaneLeftStart 					= 197,
    iCommandPlaneLeftStop 					= 198,
    iCommandPlaneRightStart 				= 199,
    iCommandPlaneRightStop 					= 200,
    iCommandPlaneLeftRudderStart 			= 201,
    iCommandPlaneLeftRudderStop 			= 202,
    iCommandPlaneRightRudderStart 			= 203,
    iCommandPlaneRightRudderStop 			= 204,
	
    iCommandPlaneTrimStop 					= 215,
	
	iCommandEnginesStart 					= 309,	
	iCommandEnginesStop 					= 310,			

	iCommandLeftEngineStart 				= 311,			
	iCommandRightEngineStart 				= 312,			

	iCommandLeftEngineStop 					= 313,			
	iCommandRightEngineStop 				= 314,	
	iCommandPowerOnOff						= 315,
	
	iCommandPlaneHeadLightOnOff				= 328,
	
	iCommandPlaneGearUp						= 430,
	iCommandPlaneGearDown					= 431,
	
	iCommandPlane_HOTAS_NoseWheelSteeringButtonOff	= 606,
	
	auto_HUD_brightness_down				= 707,

	LampsControl							= 762,
	LampsControl_up							= 800,
		
-- analog commands
	PlaneRadarHorizontal 	   = 2025,
	PlaneRadarVertical 		   = 2026,
	PlaneRadarHorizontalAbs    = 2027,
	PlaneRadarVerticalAbs 	   = 2028,
	PlaneMFDZoom 		       = 2029,
	PlaneMFDZoomAbs			   = 2030,
	PlaneSelecterHorizontal    = 2031,
	PlaneSelecterVertical 	   = 2032,
	PlaneSelecterHorizontalAbs = 2033,
	PlaneSelecterVerticalAbs   = 2034,
	PlaneBase_Distance 		   = 2040,
	PlaneBase_DistanceAbs 	   = 2041,

}

start_command   = 3000
local __count = start_command-1
local function __counter()
	__count = __count + 1
	return __count
end

device_commands =
{

}
